complexType "Formula"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | formulaDescription?, math?, formulaComponent*
</...>

Content Model Elements (3):

  formulaComponent, formulaDescription, math

All Direct / Indirect Based Elements (4):

  formula (defined in InterestRateStream complexType), formula (defined in LegAmount complexType), | formula (in additionalPaymentAmount), formula (in formulaComponent)

Known Usage Locations

- As direct type of elements (4):

  formula (defined in InterestRateStream complexType), formula (defined in LegAmount complexType), | formula (in additionalPaymentAmount), formula (in formulaComponent)

Annotation
A type describing a financial formula, with its description and components.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Formula"> <xsd:sequence> <xsd:element minOccurs="0" name="formulaDescription" type="xsd:string"/> <xsd:element minOccurs="0" name="math" type="Math"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="formulaComponent" type="FormulaComponent"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
formulaComponent

  Type: | FormulaComponent, complex content

  Elements describing the components of the formula. The name attribute points to a value used in the math element. The href attribute points to a value elsewhere in the document
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="formulaComponent" type="FormulaComponent"/>

formulaDescription

  Type: | xsd:string, predefined, simple content

  Text description of the formula
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="formulaDescription" type="xsd:string"/>

math

  Type: | Math, mixed content

  An element for containing an XML representation of the formula. Defined using xsd:any currently for flexibility in choice of language (MathML, OpenMath)
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="math" type="Math"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.